%-------------------------------------------------------------------------%
% Background
% Function to get gradients of the shape fucntions at global coordinate 
% system and shape function matrix
% voigt notation
% Created by Lei, TU/e, 2017
%-------------------------------------------------------------------------%

function [B,H] = getBH(dhdx,h)
n = 2*length(dhdx);

B = zeros(4,n);
H = zeros(2,n);

for i =1:length(dhdx)
    B(1,2*i-1) = dhdx(i,1);
    B(2,2*i) = dhdx(i,2);
    B(3,2*i-1) = dhdx(i,2);
    B(4,2*i) = dhdx(i,1);
    
    H(1,2*i-1) = h(i);
    H(2,2*i) = h(i);
end

end