// Gmsh geometry file 
// Created by Lei (NTNU and TU/e) 
SetFactory("OpenCASCADE"); 
// Rentangular zone 
//+ 
Point(1) = {0.000, 0.000, 0.000, 1.000}; 
//+ 
Point(2) = {1.000, 0.000, 0.000, 1.000}; 
//+ 
Point(3) = {1.000, 1.000, 0.000, 1.000}; 
//+ 
Point(4) = {0.000, 1.000, 0.000, 1.000}; 
//+ 
Line(1) = {1, 2}; 
//+ 
Line(2) = {2, 3}; 
//+ 
Line(3) = {3, 4}; 
//+ 
Line(4) = {4, 1}; 
//+ 
Point(5) = {0.3232, 0.3232, 0, 1.0};
//+
Point(6) = {0.6768, 0.3232, 0, 1.0};
//+
Point(7) = {0.6768, 0.6768, 0, 1.0};
//+
Point(8) = {0.3232, 0.6768, 0, 1.0};
//+
Point(9) = {0.5, 0.5, 0, 1.0};
//+
Circle(5) = {8, 9, 7};
//+
Circle(6) = {7, 9, 6};
//+
Circle(7) = {6, 9, 5};
//+
Circle(8) = {5, 9, 8};
//+
Line(9) = {5, 1};
//+
Line(10) = {6, 2};
//+
Line(11) = {7, 3};
//+
Line(12) = {8, 4};
//+
Transfinite Line {1} = 11 Using Progression 1;
//+
Transfinite Line {2} = 11 Using Progression 1;
//+
Transfinite Line {3} = 11 Using Progression 1;
//+
Transfinite Line {4} = 11 Using Progression 1;
//+
Transfinite Line {7} = 11 Using Progression 1;
//+
Transfinite Line {6} = 11 Using Progression 1;
//+
Transfinite Line {5} = 11 Using Progression 1;
//+
Transfinite Line {8} = 11 Using Progression 1;
//+
Transfinite Line {9} = 6 Using Progression 1;
//+
Transfinite Line {10} = 6 Using Progression 1;
//+
Transfinite Line {11} = 6 Using Progression 1;
//+
Transfinite Line {12} = 6 Using Progression 1;
//+
Line Loop(1) = {9, 1, -10, 7};
//+
Plane Surface(1) = {1};
//+
Line Loop(2) = {10, 2, -11, 6};
//+
Plane Surface(2) = {2};
//+
Line Loop(3) = {11, 3, -12, 5};
//+
Plane Surface(3) = {3};
//+
Line Loop(4) = {12, 4, -9, 8};
//+
Plane Surface(4) = {4};
//+
Transfinite Surface {1};
//+
Transfinite Surface {2};
//+
Transfinite Surface {3};
//+
Transfinite Surface {4};
//+
Recombine Surface {1};
//+
Recombine Surface {2};
//+
Recombine Surface {3};
//+
Recombine Surface {4};
//+
Recursive Delete {
  Point{9}; 
}